summaryrefslogtreecommitdiffstats
path: root/libraries/perl-extutils-pkgconfig
diff options
context:
space:
mode:
author Michael Wagner2010-05-11 22:54:19 +0200
committer Robby Workman2010-05-11 22:54:19 +0200
commit36e6077f01e117e10725ec5d3087e2c22ffbadf6 (patch)
tree69ea66c2d28b47f7063f889a779f0d011f69a9a9 /libraries/perl-extutils-pkgconfig
parente299ff6b217d2bfee9bbd3c9ebffdba0182b00a9 (diff)
downloadslackbuilds-36e6077f01e117e10725ec5d3087e2c22ffbadf6.tar.gz
libraries/perl-extutils-pkgconfig: Added to 12.1 repository
Diffstat (limited to 'libraries/perl-extutils-pkgconfig')
-rw-r--r--libraries/perl-extutils-pkgconfig/README6
-rw-r--r--libraries/perl-extutils-pkgconfig/perl-extutils-pkgconfig.SlackBuild73
-rw-r--r--libraries/perl-extutils-pkgconfig/perl-extutils-pkgconfig.info8
-rw-r--r--libraries/perl-extutils-pkgconfig/slack-desc19
4 files changed, 106 insertions, 0 deletions
diff --git a/libraries/perl-extutils-pkgconfig/README b/libraries/perl-extutils-pkgconfig/README
new file mode 100644
index 0000000000..32fbdae16c
--- /dev/null
+++ b/libraries/perl-extutils-pkgconfig/README
@@ -0,0 +1,6 @@
+ExtUtils::PkgConfig (perl module)
+
+ExtUtils::PkgConfig is a very simplistic interface to pkg-config,
+intended for use in the Makefile.PL of perl extensions which bind
+libraries that pkg-config knows. It is really just boilerplate code
+that you would've written yourself.
diff --git a/libraries/perl-extutils-pkgconfig/perl-extutils-pkgconfig.SlackBuild b/libraries/perl-extutils-pkgconfig/perl-extutils-pkgconfig.SlackBuild
new file mode 100644
index 0000000000..d9a5661944
--- /dev/null
+++ b/libraries/perl-extutils-pkgconfig/perl-extutils-pkgconfig.SlackBuild
@@ -0,0 +1,73 @@
+#!/bin/sh
+
+# Slackware build script for perl-extutils-pkgconfig
+
+# (C) 2007 Michael Wagner <lapinours@web.de>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=perl-extutils-pkgconfig
+SRCNAM=ExtUtils-PkgConfig
+VERSION=1.08
+ARCH=noarch
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="Changes README"
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $SRCNAM-$VERSION
+tar -xzvf $CWD/$SRCNAM-$VERSION.tar.gz || exit 1
+cd $SRCNAM-$VERSION || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+perl Makefile.PL || exit 1
+make || exit 1
+make install INSTALLDIRS=vendor DESTDIR=$PKG || exit 1
+
+mv $PKG/usr/share/man $PKG/usr && rm -rf $PKG/usr/share
+gzip -9 $PKG/usr/man/man3/* 2> /dev/null
+
+# Remove perlocal.pod and .packlist from $PKG
+( for i in perllocal.pod .packlist; do
+ find $PKG -name "$i" -exec rm -rf {} \;
+ done
+) || exit 1
+
+# Remove empty directories
+find $PKG -depth -type d -empty -exec rm -rf {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+chmod 644 $PKG/usr/doc/$PRGNAM-$VERSION/*
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/perl-extutils-pkgconfig/perl-extutils-pkgconfig.info b/libraries/perl-extutils-pkgconfig/perl-extutils-pkgconfig.info
new file mode 100644
index 0000000000..4dfdd9a4c2
--- /dev/null
+++ b/libraries/perl-extutils-pkgconfig/perl-extutils-pkgconfig.info
@@ -0,0 +1,8 @@
+PRGNAM="perl-extutils-pkgconfig"
+VERSION="1.08"
+HOMEPAGE="http://gtk2-perl.sourceforge.net"
+DOWNLOAD="http://www.cpan.org/modules/by-module/ExtUtils/ExtUtils-PkgConfig-1.08.tar.gz"
+MD5SUM="7bd9e8a7b1f0c624281b4eb0acc90384"
+MAINTAINER="Michael Wagner"
+EMAIL="lapinours@web.de"
+APPROVED="rworkman"
diff --git a/libraries/perl-extutils-pkgconfig/slack-desc b/libraries/perl-extutils-pkgconfig/slack-desc
new file mode 100644
index 0000000000..30c2ecc157
--- /dev/null
+++ b/libraries/perl-extutils-pkgconfig/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------|
+perl-extutils-pkgconfig: ExtUtils::PkgConfig (perl module)
+perl-extutils-pkgconfig:
+perl-extutils-pkgconfig: ExtUtils::PkgConfig is a very simplistic interface
+perl-extutils-pkgconfig: to pkg-config, intended for use in the Makefile.PL
+perl-extutils-pkgconfig: of perl extensions which bind libraries that
+perl-extutils-pkgconfig: pkg-config knows. It is really just boilerplate code
+perl-extutils-pkgconfig: that you would've written yourself.
+perl-extutils-pkgconfig:
+perl-extutils-pkgconfig: Homepage: http://gtk2-perl.sourceforge.net/
+perl-extutils-pkgconfig:
+perl-extutils-pkgconfig: